package progressgrouptest.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public final class ProgressGroupTestPerspective implements IPerspectiveFactory {

  public ProgressGroupTestPerspective() {
    super();
  }

  public final void createInitialLayout(final IPageLayout layout) {
    layout.setEditorAreaVisible(false);
    final IFolderLayout topLeft = layout.createFolder("bottom", IPageLayout.BOTTOM, 0.75f,
        layout.getEditorArea());
    topLeft.addView(IPageLayout.ID_PROGRESS_VIEW);
  }
}
